Debian Bug report logs - #413469
ion3: The package is outdated

version graph

Package: ion3; Maintainer for ion3 is (unknown);

Reported by: tuomov <tuomov@iki.fi>

Date: Mon, 5 Mar 2007 10:39:01 UTC

Severity: wishlist

Merged with 414175

Found in versions ion3/20061223-1, ion3/20061223-2

Fixed in versions ion3/20070203-1, ion3/20070318-1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to tuomov <tuomov@iki.fi>:
New Bug report received and forwarded. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: tuomov <tuomov@iki.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ion3: The package is outdated
Date: Mon, 05 Mar 2007 12:36:09 +0200
Package: ion3
Version: 20061223-1
Severity: important


The package is outdated: please remove or upgrade, and keep
upgrading even after release of the new static (“stable”) 
Debian. See <http://iki.fi/tuomov/b/archives/2007/03/03/T19_15_26/> 
for more information.


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.19.3
Locale: LANG=C, LC_CTYPE=fi_FI.UTF-8 (charmap=UTF-8)

Versions of packages ion3 depends on:
ii  aterm [x-terminal-emulator]  1.0.0-2     Afterstep XVT - a VT102 emulator f
ii  eterm [x-terminal-emulator]  0.9.3-1     Enlightened Terminal Emulator
ii  libc6                        2.3.6-15    GNU C Library: Shared libraries
ii  libice6                      1:1.0.0-3   X11 Inter-Client Exchange library
ii  liblua5.1-0                  5.1.1-1     Simple, extensible, embeddable pro
ii  libsm6                       1:1.0.0-4   X11 Session Management library
ii  libx11-6                     2:1.0.0-8   X11 client-side library
ii  libxext6                     1:1.0.0-4   X11 miscellaneous extension librar
ii  libxinerama1                 1:1.0.1-4.1 X11 Xinerama extension library
ii  mlterm [x-terminal-emulator] 2.9.3-5     MultiLingual TERMinal
ii  rxvt [x-terminal-emulator]   1:2.6.4-10  VT102 terminal emulator for the X 
ii  rxvt-unicode [x-terminal-emu 7.8-2       RXVT-like terminal emulator with U
ii  xterm [x-terminal-emulator]  222-1etch2  X terminal emulator

Versions of packages ion3 recommends:
ii  xfonts-100dpi                 1:1.0.0-2  100 dpi fonts for X
ii  xfonts-100dpi-transcoded      1:1.0.0-2  100 dpi fonts for X (transcoded fr
ii  xfonts-75dpi                  1:1.0.0-2  100 dpi fonts for X
ii  xfonts-75dpi-transcoded       1:1.0.0-2  75 dpi fonts for X (transcoded fro

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Norbert Tretkowski <norbert@tretkowski.de>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #10 received at 413469@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <norbert@tretkowski.de>
To: tuomov <tuomov@iki.fi>, 413469@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#413469: ion3: The package is outdated
Date: Mon, 5 Mar 2007 12:14:14 +0100
severity 413469 wishlist
thanks

* tuomov wrote:
> The package is outdated: please remove or upgrade, and keep
> upgrading even after release of the new static (“stable”) Debian.
> See <http://iki.fi/tuomov/b/archives/2007/03/03/T19_15_26/> for more
> information.

I don't know why you filed this bugreport, reading your blog entry
looks like you know how Debian works, and there's no way to upgrade
the package to a newer upstream release during freeze or a stable life
cycle.

The latest release 20070203-1 is available in experimental since the
day you released it.

                Norbert



Severity set to `wishlist' from `important' Request was from Norbert Tretkowski <norbert@tretkowski.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <debian@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #17 received at 413469@bugs.debian.org (full text, mbox):

From: Holger Levsen <debian@layer-acht.org>
To: 413469@bugs.debian.org, tuomov <tuomov@iki.fi>
Subject: backports.org for updates in stable
Date: Mon, 5 Mar 2007 15:01:10 +0100
[Message part 1 (text/plain, inline)]
Hi,

there is http://backports.org for updates in stable... (As Nobse knows :)


regards,
	Holger (a happy debian ion3 user, thanks to you two :)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Tuomo Valkonen <tuomov@iki.fi>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #22 received at 413469@bugs.debian.org (full text, mbox):

From: Tuomo Valkonen <tuomov@iki.fi>
To: Holger Levsen <debian@layer-acht.org>
Cc: 413469@bugs.debian.org
Subject: Re: backports.org for updates in stable
Date: Mon, 5 Mar 2007 16:08:56 +0200
On 2007-03-05 15:01 +0100, Holger Levsen wrote:
> there is http://backports.org for updates in stable... (As Nobse knows :)

If it only was easier and better documented to start using 
backports.org, automatically by apt*. But it still doesn't
solve the problem of users complaining about old versions
to the upstream: you still should not provide the old
version in "stable"; only the latest version in backports.
And once you do that for every development/unstable package,
you're halfway to having switched away from the megafreeze
model to a stable base + extra packages model. 

-- 
Tuomo



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Norbert Tretkowski <norbert@tretkowski.de>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #27 received at 413469@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <norbert@tretkowski.de>
To: Tuomo Valkonen <tuomov@iki.fi>, 413469@bugs.debian.org
Subject: Re: Bug#413469: backports.org for updates in stable
Date: Mon, 5 Mar 2007 15:53:35 +0100
* Tuomo Valkonen wrote:
> And once you do that for every development/unstable package, you're
> halfway to having switched away from the megafreeze model to a
> stable base + extra packages model. 

This wouldn't work, it was discussed on -devel a few times already.

                Norbert



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Tuomo Valkonen <tuomov@iki.fi>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #32 received at 413469@bugs.debian.org (full text, mbox):

From: Tuomo Valkonen <tuomov@iki.fi>
To: Norbert Tretkowski <norbert@tretkowski.de>
Cc: 413469@bugs.debian.org
Subject: Re: Bug#413469: backports.org for updates in stable
Date: Mon, 5 Mar 2007 16:58:45 +0200
On 2007-03-05 15:53 +0100, Norbert Tretkowski wrote:
> * Tuomo Valkonen wrote:
> > And once you do that for every development/unstable package, you're
> > halfway to having switched away from the megafreeze model to a
> > stable base + extra packages model. 
> 
> This wouldn't work, it was discussed on -devel a few times already.

Neither does the present model. Only people running servers 
should be using the present "stable" -- and you don't therefore
need stuff like Ion in there -- and the rest, well, they should 
steer away from Debian. Not that there's anything better, either.

-- 
Tuomo



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to "Bernhard R. Link" <brlink@debian.org>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #37 received at 413469@bugs.debian.org (full text, mbox):

From: "Bernhard R. Link" <brlink@debian.org>
To: 413469@bugs.debian.org
Cc: tuomov <tuomov@iki.fi>
Subject: Re: ion3: The package is outdated
Date: Mon, 5 Mar 2007 17:28:02 +0100
The whole point of having a stable release is having programs
not changing their behaviour all the time. People not wanting
realiablity can always choose backports or testing/unstable.
That has nothing to do with servers, but with mainainablitity.

Having dozens or hundreds of computers with even more users
using everyone their favorite wm and other tools needs a
stable base. Having to update all at once might sound uglier,
but you can prepare people for that, make some scripts to
ease migration for the important packages. And only at that
time a "last week it worked, now it no longer works" means
having to test if a changed software-version is at fault
or something else. Having things not mega-freezed means
either having to watch for important changes (like, say,
no longer starting in default configuration) throughout
the whole year, or just throwing unusual stuff out of the
supported pre-installed pool of software.

So unless the old version is so buggy that it cannot be
used by people, or that it puts unbearable shame on the
author for releasing something like that before, I'd
strongly discuraging removing an old version just because
it is old. And even more a young version, just because
there are things that are newer from after the freeze.

Hochachtungsvoll,
	Bernhard R. Link



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Tuomo Valkonen <tuomov@iki.fi>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #42 received at 413469@bugs.debian.org (full text, mbox):

From: Tuomo Valkonen <tuomov@iki.fi>
To: "Bernhard R. Link" <brlink@debian.org>
Cc: 413469@bugs.debian.org
Subject: Re: ion3: The package is outdated
Date: Mon, 5 Mar 2007 18:46:05 +0200
On 2007-03-05 17:28 +0100, Bernhard R. Link wrote:
>  Having things not mega-freezed means
> either having to watch for important changes (like, say,
> no longer starting in default configuration) throughout
> the whole year, or just throwing unusual stuff out of the
> supported pre-installed pool of software.

Having things not mega-freezed, means that the upstream doesn't
have to listen to complaints of _old development snapshots_ that
the upstream is no longer supporting. Get it? Not every software
release is a "stable" release that the upstream is willing to 
support for very long. During the process of trying to eventually
provide a stable release, you make "development snapshot" releases
for the users who want to be on the bleeding edge, but not directly
build from the version control systems.

That is the state of Ion3: development/unstable. Only an idiot would
provide it in a "stable" distribution. Ion2, on the other hand, is
"stable", and will not go through major changes. However, even Ion2
should be upgraded in distributions, if there's a new release (very
unlikely), because due to its "stability", any upgrade will be a 
rather critical fix.

Distributions should be attention to the stable/unstable state
of the upstream packages. If the upstream package is "stable",
then it can be included in the distribution's "stable" collection,
and the few upstream upgrades should also be safe to include
in an upgraded collection. If, on the other hand, the upstream
package is in "unstable/development" state, the distribution should
also only include it in an "unstable" extras collection.

I have been considering adding something like the following to 
the Ion3 license. If it is against the DFSG, well, the effect 
still be the intended.

---

This work, "Ion3", is licensed under the GNU Lesser General Public
License (LGPL), reproduced below, extended with the following
"Distributor timely response clause" (D).

  D. Anyone distributing Ion3 in aggregate with other works, must
     within twenty-eight (28) days from the release of a new version
     of Ion3, either (A) upgrade the aggregate to include the new
     version, and cause the new version be installed when a user tries 
     to install an unspecified version of Ion3, or upgrade Ion3 (from the
     aggregate); or (B) remove Ion3 from the aggregate, and notify users 
     of the removal, when they try to upgrade the aggregate or Ion3 (from 
     the aggregate) and have installed an old version of Ion3. (It is, 
     however, not necessary to remove Ion3 from the user's computer; 
     merely notify of its out-datedness.)

     The requirements above on responses to user actions do not apply,  
     if the user is not network-connected, or chooses to not use network
     upgrades, and is using physical distribution media.

     This clause does not bind any rebranded derivative works, that can
     not be confused with Ion3: that is, any derivative work whose name
     can not be confused with "Ion3", and whose listed maintainer (in
     the README) is different from that of Ion3, may be distributed
     under the LGPL or GPL without this clause.

---

So, if you're willing to take all the blame for the outdated 
development snapshots that you want to provide, just rebrand 
and start maintaining it yourself..

-- 
Tuomo



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #47 received at 413469@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 413469@bugs.debian.org
Subject: Re: ion3: The package is outdated
Date: Mon, 05 Mar 2007 19:41:56 +0100
Too bad that the name "icewm" is already taken *scnr

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #52 received at 413469@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 413469@bugs.debian.org
Cc: tuomov@iki.fi
Subject: Re: ion3: The package is outdated
Date: Tue, 6 Mar 2007 14:44:13 +0200
[Message part 1 (text/plain, inline)]
Hi Tuomo,

Please don't overreact with such horrible licencing change.
It is possible to have development version removed from stable/testing,
while it is still available in unstable for powerusers and
bleeding edge fanciers.

See http://bugs.debian.org/305065 for an example of handling
such requests in a constructive manner.

-- 
"rm -rf" only sounds scary if you don't have backups
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Tuomo Valkonen <tuomov@iki.fi>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #57 received at 413469@bugs.debian.org (full text, mbox):

From: Tuomo Valkonen <tuomov@iki.fi>
To: 413469@bugs.debian.org
Subject: Re: ion3: The package is outdated
Date: Tue, 6 Mar 2007 14:50:22 +0200
On 2007-03-06 14:44 +0200, Riku Voipio wrote:
> Please don't overreact with such horrible licencing change.
> It is possible to have development version removed from stable/testing,
> while it is still available in unstable for powerusers and
> bleeding edge fanciers.

They have their bug report, and chose to ignore it.

-- 
Tuomo



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Tuomo Valkonen <tuomov@iki.fi>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #62 received at 413469@bugs.debian.org (full text, mbox):

From: Tuomo Valkonen <tuomov@iki.fi>
To: 413469@bugs.debian.org
Subject: Re: ion3: The package is outdated
Date: Tue, 6 Mar 2007 14:54:08 +0200
On 2007-03-06 14:50 +0200, Tuomo Valkonen wrote:
> They have their bug report, and chose to ignore it.

And besides, it's the job of the package maintainer to not include
unstable/development software in a "stable" distribution. The
upstream can not be expected to track the release of every single
mega-frozen distribution.

-- 
Tuomo



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Norbert Tretkowski <norbert@tretkowski.de>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #67 received at 413469@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <norbert@tretkowski.de>
To: tuomov <tuomov@iki.fi>, 413469@bugs.debian.org, debian-release@lists.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#413469: ion3: The package is outdated
Date: Tue, 6 Mar 2007 16:52:16 +0100
severity 413469 serious
clone 413469 -1 -2
reassign -1 ion3-scripts
reassign -2 ion3-mod-ionflux
thanks

* tuomov wrote:
> The package is outdated: please remove or upgrade, and keep
> upgrading even after release of the new static (“stable”) Debian.
> See <http://iki.fi/tuomov/b/archives/2007/03/03/T19_15_26/> for more
> information.

Upstream of the ion window manager doesn't want to have a development
version in a stable release.

Please remove the packages ion3, ion3-scripts and ion3-mod-ionflux
from etch.

                Norbert



Severity set to `serious' from `wishlist' Request was from Norbert Tretkowski <norbert@tretkowski.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug 413469 cloned as bugs 413685, 413686. Request was from Norbert Tretkowski <norbert@tretkowski.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #76 received at 413469@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Norbert Tretkowski <norbert@tretkowski.de>
Cc: 413469@bugs.debian.org, debian-release@lists.debian.org, 413685@bugs.debian.org, 413686@bugs.debian.org
Subject: Re: Bug#413469: ion3: The package is outdated
Date: Wed, 7 Mar 2007 14:39:32 -0800
Hi Norbert,

On Tue, Mar 06, 2007 at 04:52:16PM +0100, Norbert Tretkowski wrote:
> * tuomov wrote:
> > The package is outdated: please remove or upgrade, and keep
> > upgrading even after release of the new static (“stable”) Debian.
> > See <http://iki.fi/tuomov/b/archives/2007/03/03/T19_15_26/> for more
> > information.

> Upstream of the ion window manager doesn't want to have a development
> version in a stable release.

> Please remove the packages ion3, ion3-scripts and ion3-mod-ionflux
> from etch.

Hmm, I note that you've also written in your blog that you're "no longer
interested in maintaining the ion2, ion3, ion3-mod-ionflux and ion3-scripts
packages".  Should I understand that to be an implicit orphaning?

If it's your intent to orphan the package, then it seems to me that the
"unsuitable in the maintainer's opinion" justification doesn't really apply
anymore, does it?  And I don't really see any other grounds for removing
these packages from the release; an upstream with ignorant ideas about how
software should be distributed is not a release-critical bug per se.  Sure,
maintainers should seek to stay on good terms with their upstreams, and not
gratuitously ship packages that are damaging to upstream's reputation; but
upstream seems to be biased against stable releases /in general/, and ion3
is a package that was already included in the previous stable release, has a
rather wide userbase according to popcon, and I hear nothing but good things
about it from other developers who use ion3.

So I myself am not inclined to defer to this upstream's idea about what
should or shouldn't be included in our stable release, when it seems to me
that there's a real argument that this is contrary to the interests of our
users.  Thus the question: is this your request as a maintainer, or as an
ex-maintainer?

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Raúl Sánchez Siles <rasasi78@gmail.com>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #81 received at 413469@bugs.debian.org (full text, mbox):

From: Raúl Sánchez Siles <rasasi78@gmail.com>
To: 413469@bugs.debian.org
Subject: Another point of view.
Date: Thu, 8 Mar 2007 01:49:04 +0100
[Message part 1 (text/plain, inline)]
  Hello All:

  I must say before anything that I'm not a user of ion3, just a Debian user 
and I was concerned about this discussion because it's a topic that affects 
not only ion3 but Debian and some of its upstream sources. Having asked for 
permission, let me elaborate a rationale about the problem. I know I'm not an 
important part here, so excuse if you feel bothered by this public wondering.

  I have to say that I understand both positions upstream and Debian. For free 
software, both are possible and even more, necessary but in order for both to 
prevail they have to reach an agreement.

  THE PROBLEM
  Upstream must understand Debian philosophy and that means that a very 
important distro (among the most importants right now) will provide its users 
with such an upstream technology, in this case ion window manager.

  Besides, Debian must understand what providing that technology means. I'm 
sure that it almost understood since its long history and experience, but 
maybe there still some work to do as this is not the first and only upstream 
project that complaints about Debian methods.

  THE SOLUTION
  As it is said "In medio consistit virtus" (in the middle point you have the 
virtue) for me that point is feedback between the two sides and in the time a 
stable version is needed by Debian, upstream would have to understand the 
situation and tell which version is better once asked. 

  Also Debian have to take care of that version because normally as Debian 
stable haven't to coincide with upstream stable, upstream couldn't care about 
that "transition" version anymore.

  At this point the friction between the parts is maximum, I think largest 
complaints upstream are:

  · Users ask for support at the wrong place. Support should be provide there 
by Debian, not by upstream, This is the worst case IMHO. Upstream should 
suggest the Debian stable version so accepting that version will be present 
more or less widely, hence being aware that support could also requested.

  · Major or important divergences once the application is packed, maybe 
becuase is not deployed as upstream author/s would like.

  · Add your own here.

  Finally, everypart is free of doing what their licenses grant. So ion3 could 
possibly forbid its inclusion into Debian as Debian maintainer could not 
accept the ion3 intended upgrade policy and leave ion3. But I could hardly 
see what is the point in this case :P 

  So I hope this will have a happy ending and I humbly encourage you to reach 
and agreement if possible for the good of those who like and will like Debian 
and ion3.

  Regards,
-- 
     Raúl Sánchez Siles
----->Proud Debian user<-----
Linux registered user #416098
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #86 received at 413469@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Norbert Tretkowski <norbert@tretkowski.de>, 413469@bugs.debian.org, debian-release@lists.debian.org, 413685@bugs.debian.org, 413686@bugs.debian.org, tuomov <tuomov@iki.fi>
Subject: Re: Bug#413686: Bug#413469: ion3: The package is outdated
Date: Wed, 7 Mar 2007 19:54:11 -0500
On Tue, Mar 06, 2007 at 04:52:16PM +0100, Norbert Tretkowski wrote:
> Upstream of the ion window manager doesn't want to have a development
> version in a stable release.
> 
> Please remove the packages ion3, ion3-scripts and ion3-mod-ionflux
> from etch.

This would mean that any sarge users upgrading to etch would be stuck
at ion3 20050502 instead of 20061223.  Is that preferable to
allowing fresh installs to have ion3?



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Tuomo Valkonen <tuomov@iki.fi>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #91 received at 413469@bugs.debian.org (full text, mbox):

From: Tuomo Valkonen <tuomov@iki.fi>
To: Clint Adams <schizo@debian.org>
Cc: Norbert Tretkowski <norbert@tretkowski.de>, 413469@bugs.debian.org, debian-release@lists.debian.org, 413685@bugs.debian.org, 413686@bugs.debian.org
Subject: Re: Bug#413686: Bug#413469: ion3: The package is outdated
Date: Thu, 8 Mar 2007 09:14:33 +0200
On 2007-03-07 19:54 -0500, Clint Adams wrote:
> This would mean that any sarge users upgrading to etch would be stuck
> at ion3 20050502 instead of 20061223.  Is that preferable to
> allowing fresh installs to have ion3?

Yes: at least there won't be new users with ancient releases. 

-- 
Tuomo



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregor+debian@comodo.priv.at>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #96 received at 413469@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregor+debian@comodo.priv.at>
To: Norbert Tretkowski <norbert@tretkowski.de>, 413469@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Bug#413469: ion3: The package is outdated
Date: Thu, 8 Mar 2007 17:42:44 +0100
[Message part 1 (text/plain, inline)]
On Tue, 06 Mar 2007 16:52:16 +0100, Norbert Tretkowski wrote:

> > The package is outdated: please remove or upgrade, and keep
> > upgrading even after release of the new static (???stable???) Debian.
> > See <http://iki.fi/tuomov/b/archives/2007/03/03/T19_15_26/> for more
> > information.
> Upstream of the ion window manager doesn't want to have a development
> version in a stable release.

Although I appreciate Tuomo's work on ion3 I don't think it should be
his decision whether ion3 is included in Debian releases.
I'm tempted to tag 413469 and friends as unreproducible ;-)
 
> Please remove the packages ion3, ion3-scripts and ion3-mod-ionflux
> from etch.

Please keep the ion3 packages in etch, and Norbert: please continue
maintaining them as good as you've been doing this up to now!

Cheers,
gregor

-- 
 .''`.   http://info.comodo.priv.at/ | gpg key ID: 0x00F3CFE4
 : :' :  debian: the universal operating system - http://www.debian.org/
 `. `'   member of https://www.vibe.at/ | how to reply: http://got.to/quote/
   `-    NP: Simply Red: So Beautiful
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Norbert Tretkowski <norbert@tretkowski.de>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #101 received at 413469@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <norbert@tretkowski.de>
To: Steve Langasek <vorlon@debian.org>, 413469@bugs.debian.org
Cc: debian-release@lists.debian.org, 413685@bugs.debian.org, 413686@bugs.debian.org
Subject: Re: Bug#413469: ion3: The package is outdated
Date: Thu, 08 Mar 2007 18:19:21 +0100
On Wed, 2007-03-07 at 14:39 -0800, Steve Langasek wrote:
> On Tue, Mar 06, 2007 at 04:52:16PM +0100, Norbert Tretkowski wrote:
> > Please remove the packages ion3, ion3-scripts and ion3-mod-ionflux
> > from etch.
> 
> Hmm, I note that you've also written in your blog that you're "no longer
> interested in maintaining the ion2, ion3, ion3-mod-ionflux and ion3-scripts
> packages".  Should I understand that to be an implicit orphaning?

Yes.

> If it's your intent to orphan the package, then it seems to me that the
> "unsuitable in the maintainer's opinion" justification doesn't really apply
> anymore, does it?

To be honest, I no longer care if ion3 is shipped with etch or not. The
reason why I wanted the package to be removed from etch was mainly
because I don't think a package without an active maintainer should stay
in etch.

> Thus the question: is this your request as a maintainer, or as an
> ex-maintainer?

As an ex-maintainer.

	Norbert




Severity set to `important' from `serious' Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #108 received at 413469@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Norbert Tretkowski <norbert@tretkowski.de>
Cc: 413469@bugs.debian.org, debian-release@lists.debian.org, 413685@bugs.debian.org, 413686@bugs.debian.org
Subject: Re: Bug#413469: ion3: The package is outdated
Date: Thu, 8 Mar 2007 22:17:51 -0800
severity 413469 important
severity 413685 important
severity 413686 important
thanks

On Thu, Mar 08, 2007 at 06:19:21PM +0100, Norbert Tretkowski wrote:
> > If it's your intent to orphan the package, then it seems to me that the
> > "unsuitable in the maintainer's opinion" justification doesn't really apply
> > anymore, does it?

> To be honest, I no longer care if ion3 is shipped with etch or not. The
> reason why I wanted the package to be removed from etch was mainly
> because I don't think a package without an active maintainer should stay
> in etch.

Well, there are always a number of packages in exactly that state in a
release; again, it doesn't seem to me that ion3 is special in that regard.
Besides, it does seem like these packages stand a good chance of being
adopted.

Now if you think this package will be unsupportable security-wise over the
course of the release cycle, that would certainly be a good reason to drop
it from the release, no question.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Tuomo Valkonen <tuomov@iki.fi>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #113 received at 413469@bugs.debian.org (full text, mbox):

From: Tuomo Valkonen <tuomov@iki.fi>
To: 413469@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Bug#413469: ion3: The package is outdated
Date: Fri, 9 Mar 2007 14:31:10 +0200
It is starting to seem, that it will be easier to just change the
license, than beat some sense into your heads. Obviously, since
you so desperately want to have ancient development releases in
Debian, you do not need newer releases at all.

-- 
Tuomo



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Norbert Tretkowski <norbert@tretkowski.de>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #118 received at 413469@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <norbert@tretkowski.de>
To: Tuomo Valkonen <tuomov@iki.fi>, 413469@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Bug#413469: ion3: The package is outdated
Date: Fri, 9 Mar 2007 14:08:46 +0100
* Tuomo Valkonen wrote:
> It is starting to seem, that it will be easier to just change the
> license, than beat some sense into your heads. Obviously, since you
> so desperately want to have ancient development releases in Debian,
> you do not need newer releases at all.

If you change the license in the next release, we can't update the
package in unstable, because of the broken license.

As a result there's not just an outdated package in stable, but in
unstable as well.

You can't force us to completely remove the current release from
Debian.

                Norbert



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #123 received at 413469@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Tuomo Valkonen <tuomov@iki.fi>
Cc: 413469@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#413469: ion3: The package is outdated
Date: Fri, 09 Mar 2007 14:14:35 +0100
Le vendredi 09 mars 2007 à 14:31 +0200, Tuomo Valkonen a écrit :
> It is starting to seem, that it will be easier to just change the
> license, than beat some sense into your heads. Obviously, since
> you so desperately want to have ancient development releases in
> Debian, you do not need newer releases at all.

This is your decision to use such a blatantly non-free license instead.
You should know that this goes against the licensing policy of most (if
not all) major distributions, meaning ion3 will stop being distributed
as part of them.

Besides, you can only do that if you are the sole author of the current
code. Otherwise, you'll need approval from all past patch contributors.
As you probably won't get it, it would make the entire software
impossible to distribute.

Cheers,
-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.




Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Tuomo Valkonen <tuomov@iki.fi>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #128 received at 413469@bugs.debian.org (full text, mbox):

From: Tuomo Valkonen <tuomov@iki.fi>
To: Josselin Mouette <joss@debian.org>
Cc: 413469@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#413469: ion3: The package is outdated
Date: Fri, 9 Mar 2007 15:30:20 +0200
On 2007-03-09 14:14 +0100, Josselin Mouette wrote:
> Besides, you can only do that if you are the sole author of the current
> code. Otherwise, you'll need approval from all past patch contributors.
> As you probably won't get it, it would make the entire software
> impossible to distribute.

Ion is not GPL, you know. It's LGPL. Therefore the one module that I'm
not the primary author of, can remain LGPL. The other contributions
of any significance are from the time when Ion was under the Artistic 
license, and the rest of the code taken from elsewhere, is under 
BSD-style licenses.

-- 
Tuomo



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Tuomo Valkonen <tuomov@iki.fi>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #133 received at 413469@bugs.debian.org (full text, mbox):

From: Tuomo Valkonen <tuomov@iki.fi>
To: Norbert Tretkowski <norbert@tretkowski.de>
Cc: 413469@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#413469: ion3: The package is outdated
Date: Fri, 9 Mar 2007 15:26:25 +0200
On 2007-03-09 14:08 +0100, Norbert Tretkowski wrote:
> You can't force us to completely remove the current release from
> Debian.

But I can stop you from distributing new releases, and possibly
get a few users complaining to you too over the ancient releases 
in unstable as well. And I can hope that other projects start
using similar extra clauses... that will be the end of Debian.
*muahahahahahaah*

(And, yeah, Debian just lost one long-time user, when I have the
time...)

-- 
Tuomo



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #138 received at 413469@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Tuomo Valkonen <tuomov@iki.fi>
Cc: 413469@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#413469: ion3: The package is outdated
Date: Fri, 09 Mar 2007 14:56:17 +0100
Le vendredi 09 mars 2007 à 15:26 +0200, Tuomo Valkonen a écrit :
> But I can stop you from distributing new releases, and possibly
> get a few users complaining to you too over the ancient releases 
> in unstable as well. And I can hope that other projects start
> using similar extra clauses... that will be the end of Debian.
> *muahahahahahaah*

Oh my, have I just heard an evil laughter from Jörg Schilling?

-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.




Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Jeremy Hankins <nowan@nowan.org>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #143 received at 413469@bugs.debian.org (full text, mbox):

From: Jeremy Hankins <nowan@nowan.org>
To: tuomov <tuomov@iki.fi>, 413469@bugs.debian.org
Subject: Re: Bug#413469: ion3: The package is outdated
Date: Fri, 09 Mar 2007 09:51:54 -0500
As an ion3 user and a debian user I'm upset by the situation here.

Tuomo, you've written an excellent window manager -- a wm I've stuck with
longer than any other window manager I've used before.  Thank you _very much_
for that.

My impression, based on this bug and on comments you've made on the list is
that you're a bit (or more than a bit) burnt out, and are trying to cut down
on the time you spend on ion.  That's entirely understandable, and I
appreciate it that you're planning to spend some time cleaning up the code &
doing bugfixes before moving on.

But with that said, I think you came on too strong and got everyone worked up
needlessly with this bug.  It seems to me that if we cut out the dramatic
language your request is very reasonable and straightforward: you want to cut
down on the number of emails you get asking for support, especially for old
releases.  Am I restating your position accurately?  You've claimed on the
list that debian (i.e., the maintainer for the ion3 package) ought to be
doing that sort of support (or at least doing triage), which is entirely in
line with the debian philosophy.  The problem is that users will sometimes
mail you directly instead of filing a bug with debian.

Assuming the answer is yes (or roughly yes), there are probably solutions
short of not permitting ion3 in stable.  For example, how about a big flashy
banner (e.g., xmessage) on startup saying that the release of ion3 running is
old and completely unsupported by tuomov?

I'm sure that there are other, and probably better, approaches.  But that
seems like the sort of thing that would address your core concern.

-- 
Jeremy Hankins <nowan@nowan.org>
PGP fingerprint: 748F 4D16 538E 75D6 8333  9E10 D212 B5ED 37D0 0A03



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Tuomo Valkonen <tuomov@iki.fi>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #148 received at 413469@bugs.debian.org (full text, mbox):

From: Tuomo Valkonen <tuomov@iki.fi>
To: Jeremy Hankins <nowan@nowan.org>
Cc: 413469@bugs.debian.org
Subject: Re: Bug#413469: ion3: The package is outdated
Date: Fri, 9 Mar 2007 17:17:53 +0200
On 2007-03-09 09:51 -0500, Jeremy Hankins wrote:
> Assuming the answer is yes (or roughly yes), there are probably solutions
> short of not permitting ion3 in stable.  For example, how about a big flashy
> banner (e.g., xmessage) on startup saying that the release of ion3 running is
> old and completely unsupported by tuomov?

Yes, I have stated that I can live with that, but...

> I'm sure that there are other, and probably better, approaches.  

... there's no need to have ion3 in "static" (the proper name for the
"stable" distribution). There's backports. You might be able to even
add a dummy package that tells the user to install from backports,
where it is updated whenever there's a new release.

And as is known, a "stable" Ion3 should be released in some months
time, and after that there shouldn't be much updates, and maybe
in the next update to "static", it could be included there...
(although the megafreeze model is still seriously broken).

-- 
Tuomo



Reply sent to Philippe Cloutier <philippe.cloutier.2@ulaval.ca>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to tuomov <tuomov@iki.fi>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #153 received at 413469-done@bugs.debian.org (full text, mbox):

From: Philippe Cloutier <philippe.cloutier.2@ulaval.ca>
To: 413469-done@bugs.debian.org, Norbert Tretkowski <norbert@tretkowski.de>
Subject: Fixed
Date: Fri, 09 Mar 2007 12:40:27 -0500
Version: 20070203-1

This was fixed by Norbert Tretkowski.

Norbert, I realize that there is a [unclear] request from you to remove 
the package from Debian which is coupled to this report. If you request 
the removal of ion3 from etch as its maintainer, you're welcome to open 
a new serious dummy bug. If you would like the removal of ion3 from etch 
as a Debian user, feel free to open a new wishlist report.

Note to other people involved in this report: feel free to continue your 
discussion/flamewar/whatever in #413469's log, but I would appreciate 
that you drop debian-release from Cc.



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #158 received at 413469@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 413469@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#413469: ion3: The package is outdated
Date: Fri, 9 Mar 2007 13:03:57 -0500
[Message part 1 (text/plain, inline)]
Norbert Tretkowski wrote:
> If you change the license in the next release, we can't update the
> package in unstable, because of the broken license.

His proposed license, somewhat like the tex license, allows us to
distribute it as long as it's renamed.

Tumov has kindly written ion2 and doesn't have a problem with us
distributing it in stable. If you respect that, it's worth granting some
respect to his wishes to not have to deal with a random development
snapshot indefinitely.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #163 received at 413469@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 413469@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#413469: ion3: The package is outdated
Date: Fri, 9 Mar 2007 17:06:50 -0800
severity 413469 serious
reopen 413469
thanks

On Fri, Mar 09, 2007 at 01:03:57PM -0500, Joey Hess wrote:
> Norbert Tretkowski wrote:
> > If you change the license in the next release, we can't update the
> > package in unstable, because of the broken license.

> His proposed license, somewhat like the tex license, allows us to
> distribute it as long as it's renamed.

> Tumov has kindly written ion2 and doesn't have a problem with us
> distributing it in stable. If you respect that, it's worth granting some
> respect to his wishes to not have to deal with a random development
> snapshot indefinitely.

After discussing on IRC with Joey and other ion users, it seems that there
isn't really much demand for ion3 in a stable release after all; those I've
talked to who use ion3 all say they run testing or unstable on their
desktops, and Joey notes that the ion3 upgrade path from sarge to etch isn't
likely to be a smooth one anyway.

So under the circumstances, it does seem reasonable to defer to upstream
(and the former maintainer) on this point.  I've tagged the ion3 package and
its reverse-dependencies for removal from etch.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Severity set to `serious' from `important' Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Frank Bauer <frank_c_bauer@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #172 received at 413469@bugs.debian.org (full text, mbox):

From: Frank Bauer <frank_c_bauer@yahoo.com>
To: 413469@bugs.debian.org
Subject: Please don't, there are people using it
Date: Sat, 10 Mar 2007 01:25:16 -0800 (PST)
Quoting Steve Langasek:

"After discussing on IRC with Joey and other ion users, it seems that there
isn't really much demand for ion3 in a stable release after all; those I've
talked to who use ion3 all say they run testing or unstable on their
desktops, and Joey notes that the ion3 upgrade path from sarge to etch isn't
likely to be a smooth one anyway."

"So under the circumstances, it does seem reasonable to defer to upstream
(and the former maintainer) on this point.  I've tagged the ion3 package and
its reverse-dependencies for removal from etch."

This is quite unfortunate for me. I, for one, am using officially packaged Ion3 on current stable and intended to use Ion3 also in upcomming Etch.
For me (* my 3 machines) and about half a dozen of my friends this will be a serious step back to Ion2 (scratchpad is a must).

I can't be bothered to install all those development packages just to compile the curent versions - I'm just a user. As far as I recollect, neither I nor my friends did bother tuomov with questions or whatever.

Can't you just rename the package to ice-on and print a big fat warning on the first startup not to bother tuomov with problems?

Regards
Frank




 
____________________________________________________________________________________
The fish are biting. 
Get more visitors on your site using Yahoo! Search Marketing.
http://searchmarketing.yahoo.com/arp/sponsoredsearch_v2.php



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #177 received at 413469@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Frank Bauer <frank_c_bauer@yahoo.com>, 413469@bugs.debian.org
Subject: Re: Bug#413469: Please don't, there are people using it
Date: Sat, 10 Mar 2007 01:42:54 -0800
On Sat, Mar 10, 2007 at 01:25:16AM -0800, Frank Bauer wrote:
> "After discussing on IRC with Joey and other ion users, it seems that there
> isn't really much demand for ion3 in a stable release after all; those I've
> talked to who use ion3 all say they run testing or unstable on their
> desktops, and Joey notes that the ion3 upgrade path from sarge to etch isn't
> likely to be a smooth one anyway."

> "So under the circumstances, it does seem reasonable to defer to upstream
> (and the former maintainer) on this point.  I've tagged the ion3 package and
> its reverse-dependencies for removal from etch."

> This is quite unfortunate for me. I, for one, am using officially packaged
> Ion3 on current stable and intended to use Ion3 also in upcomming Etch.
> For me (* my 3 machines) and about half a dozen of my friends this will be
> a serious step back to Ion2 (scratchpad is a must).

> I can't be bothered to install all those development packages just to
> compile the curent versions - I'm just a user. As far as I recollect,
> neither I nor my friends did bother tuomov with questions or whatever.

It's my understanding that there was an intent to provide ion3 packages via
backports.org.

> Can't you just rename the package to ice-on and print a big fat warning on
> the first startup not to bother tuomov with problems?

Someone could.  That someone wouldn't be me, though; and anyway, I don't see
how an "ice-on" package in stable is much better than an ion3 package on
backports.org in terms of user convenience.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Tuomo Valkonen <tuomov@iki.fi>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #182 received at 413469@bugs.debian.org (full text, mbox):

From: Tuomo Valkonen <tuomov@iki.fi>
To: 413469@bugs.debian.org
Cc: Frank Bauer <frank_c_bauer@yahoo.com>
Subject: Re: Please don't, there are people using it
Date: Sat, 10 Mar 2007 12:58:21 +0200
> This is quite unfortunate for me. I, for one, am using officially packaged
> Ion3 on current stable and intended to use Ion3 also in upcomming Etch.

> I can't be bothered to install all those development packages just to
> compile the curent versions

Why do you want a random broken and unsupported development snapshot? 
Can't you wait until a stable Ion3 is released (not that far away -- 
might even happen before Etch is released, depending on how things 
proceed), and install it by whatever means?

Why can't people trust the upstream to decide, when the software is
"stable", and insist on using (mega)frozen development snapshots?

-- 
Tuomo



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to "David A. Harding" <harda@gnuisance.net>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #187 received at 413469@bugs.debian.org (full text, mbox):

From: "David A. Harding" <harda@gnuisance.net>
To: Steve Langasek <vorlon@debian.org>
Cc: 413469@bugs.debian.org, Tuomo Valkonen <tuomov@iki.fi>
Subject: Re: Bug#413469: ion3: The package is outdated
Date: Sat, 10 Mar 2007 10:26:20 -0500
[Message part 1 (text/plain, inline)]
On Fri, Mar 09, 2007 at 05:06:50PM -0800, Steve Langasek wrote:
> 
> After discussing on IRC with Joey and other ion users, it seems that there
> isn't really much demand for ion3 in a stable release after all; 

Hi,

I run ion3 on Sarge and would like to upgrade to a more recent release
(development snapshot or not) when Etch is released. Tuomo, the author
of IonWM and the original bugreport, is probably correct in his assement
of the flaws of megafreeze distributions[1] (like Debian), but I'm happy
with Debian's implimentation of such, and I prefer that you not break
Debian's release model by not distributing ion3 in Etch.

	[1] http://modeemi.fi/~tuomov/b/archives/2007/03/03/T19_15_26/

If ion3 passes the technical, legal, and other tests Debian policy
requires for the benefit of it's users, ion3 should be, I belive, in
Etch. I'm upset you're removing it because you talked to a very small
subset of the Debian and IonWM using communities, and they didn't
``demand'' it in Etch or future stable releases.

Please reconsider your decision to remove ion3 from Etch.

Thank you,

-Dave
-- 
+-----------------------------------------------------------------------------+
|   David A. Harding   |     In every work of genius we recognize our own     |
| http://gnuisance.net |     rejected thoughts; they come back to us with     |
|                      | a certain alienated majesty. -- Ralph Waldo Emmerson |
+-----------------------------------------------------------------------------+
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #192 received at 413469@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: "David A. Harding" <harda@gnuisance.net>, 413469@bugs.debian.org
Cc: Tuomo Valkonen <tuomov@iki.fi>
Subject: Re: Bug#413469: ion3: The package is outdated
Date: Sat, 10 Mar 2007 15:18:27 -0800
David,

On Sat, Mar 10, 2007 at 10:26:20AM -0500, David A. Harding wrote:
> On Fri, Mar 09, 2007 at 05:06:50PM -0800, Steve Langasek wrote:

> > After discussing on IRC with Joey and other ion users, it seems that there
> > isn't really much demand for ion3 in a stable release after all; 

> I run ion3 on Sarge and would like to upgrade to a more recent release
> (development snapshot or not) when Etch is released. Tuomo, the author
> of IonWM and the original bugreport, is probably correct in his assement
> of the flaws of megafreeze distributions[1] (like Debian), but I'm happy
> with Debian's implimentation of such, and I prefer that you not break
> Debian's release model by not distributing ion3 in Etch.

> 	[1] http://modeemi.fi/~tuomov/b/archives/2007/03/03/T19_15_26/

> If ion3 passes the technical, legal, and other tests Debian policy
> requires for the benefit of it's users, ion3 should be, I belive, in
> Etch. I'm upset you're removing it because you talked to a very small
> subset of the Debian and IonWM using communities, and they didn't
> ``demand'' it in Etch or future stable releases.

I have pointed out one technical test that the package fails: it does not
provide a smooth upgrade path from sarge to etch for users.  Another test is
that we must be able to support the package for security and other bugs of
release-critical severity.  Well, the package has been orphaned, upstream
doesn't want to support it, and all the developers I've spoken with agree
that there's no interest in maintaining it for stable, so the support this
package would have is dubious at best.

So there is a real doubt that the package meets Debian's standards of
quality for a stable release.  Without a maintainer to vouch for it, I'm not
going to disagree here.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Frank Bauer <frank_c_bauer@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #197 received at 413469@bugs.debian.org (full text, mbox):

From: Frank Bauer <frank_c_bauer@yahoo.com>
To: 413469@bugs.debian.org
Cc: Tuomo Valkonen <tuomov@iki.fi>
Subject: Re: Please don't, there are people using it
Date: Sun, 11 Mar 2007 01:19:50 -0800 (PST)
Quotting Tuomo Valkonen:
 "Why do you want a random broken and unsupported development snapshot?"

It works for me (and for my friends) just fine. I'm using it right now, as I recently
switched from stable to testing just to get the idea about the upcoming Etch.

Quotting Tuomo Valkonen:
 "Can't you wait until a stable Ion3 is released (not that far away -- 
  might even happen before Etch is released, depending on how things 
  proceed), and install it by whatever means?"

Probably I could, but I like to install the system from single source (i.e.
official Debian DVD). The need to fetch additional software from Internet
is often problematic in some parts of this world.

Quotting Tuomo Valkonen:
 "Why can't people trust the upstream to decide, when the software is
  "stable", and insist on using (mega)frozen development snapshots?"

I do understand that Ion3 is not finished yet and you as the author of this
gem should know the best when the software is "stable", but as I mentioned
earlier, some features from Ion3 are huge usability improvement over Ion2
and current snapshot of Ion3 in Etch (and also in Sarge) does everything
I need.

Regards
Frank





 
____________________________________________________________________________________
8:00? 8:25? 8:40? Find a flick in no time 
with the Yahoo! Search movie showtime shortcut.
http://tools.search.yahoo.com/shortcuts/#news



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Tuomo Valkonen <tuomov@iki.fi>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #202 received at 413469@bugs.debian.org (full text, mbox):

From: Tuomo Valkonen <tuomov@iki.fi>
To: Frank Bauer <frank_c_bauer@yahoo.com>
Cc: 413469@bugs.debian.org
Subject: Re: Please don't, there are people using it
Date: Sun, 11 Mar 2007 12:42:15 +0200
On 2007-03-11 01:19 -0800, Frank Bauer wrote:
> I do understand that Ion3 is not finished yet and you as the author of this
> gem should know the best when the software is "stable", but as I mentioned
> earlier, some features from Ion3 are huge usability improvement over Ion2
> and current snapshot of Ion3 in Etch (and also in Sarge) does everything
> I need.

Maybe it does what you need, and you are one of the few who know 
not to complain, when it doesn't. But how about the newbies that 
have just heard of Ion3, and 'apt-get install ion3' gets them an 
old unsupported version that doesn't work for them? It's them 
whom I'm concerned about -- and they do exist.

And, as has been mentioned, the upgrade path from the version in
sarge -- that also should never have been there -- to the newer
releases is not straightforward. There are also going to be 
incompatibilities between even those releases and the stable ones.
Do you want to spend time rewriting your configs once again, when
the stable ion3 finally hits a stable Debian, years from now? Do
you like not being able to use any new scripts in the ion3 scripts
repository, because they will not work with your old release?

The megafreeze just doesn't work.

-- 
Tuomo



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to "Michael Gilbert" <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #207 received at 413469@bugs.debian.org (full text, mbox):

From: "Michael Gilbert" <michael.s.gilbert@gmail.com>
To: 413469@bugs.debian.org, 413469-submitter@bugs.debian.org, 413469-subscribe@bugs.debian.org
Subject: re: bug 413469
Date: Wed, 14 Mar 2007 19:58:42 -0400
Tuomo,

just set up a mailer auto-reply that says "i do not support out of
date ion3 development snapshots and will not respond to mails unless
the first line contains the output of 'ion3 --version' and shows a
date that is newer than one month old".  then it doesn't matter what
distributions choose to do because you can just ignore out-of-date
users.

with that said, i agree that in-development snapshots should be kept
out of unstable, and only done in experimental.  maybe this should be
a change to debian-policy?

mike



Message sent on to tuomov <tuomov@iki.fi>:
Bug#413469. Full text and rfc822 format available.

Information stored:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Tuomo Valkonen <tuomov@iki.fi>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #215 received at 413469-quiet@bugs.debian.org (full text, mbox):

From: Tuomo Valkonen <tuomov@iki.fi>
To: Michael Gilbert <michael.s.gilbert@gmail.com>, 413469-quiet@bugs.debian.org
Subject: Re: Bug#413469: bug 413469
Date: Thu, 15 Mar 2007 08:50:21 +0200
On 2007-03-14 19:58 -0400, Michael Gilbert wrote:
> just set up a mailer auto-reply that says "i do not support out of
> date ion3 development snapshots and will not respond to mails unless
> the first line contains the output of 'ion3 --version' 

And how would I do that? I get other mail besides Ion mail, you know.

> with that said, i agree that in-development snapshots should be kept
> out of unstable, and only done in experimental.  maybe this should be
> a change to debian-policy?

Nah, dev. snapshots can be in testing/unstable.. but should never get
into stable... unless, of course, through an additional package
collection for it (backports), that does keep upgraded.

-- 
Tuomo



Information stored:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to "Benj. Mako Hill" <mako@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #220 received at 413469-quiet@bugs.debian.org (full text, mbox):

From: "Benj. Mako Hill" <mako@debian.org>
To: Tuomo Valkonen <tuomov@iki.fi>, 413469-quiet@bugs.debian.org
Cc: Michael Gilbert <michael.s.gilbert@gmail.com>
Subject: Re: Bug#413469: bug 413469
Date: Thu, 15 Mar 2007 18:34:54 -0400
[Message part 1 (text/plain, inline)]
<quote who="Tuomo Valkonen" date="Thu, Mar 15, 2007 at 08:50:21AM +0200">
> On 2007-03-14 19:58 -0400, Michael Gilbert wrote:
> > with that said, i agree that in-development snapshots should be kept
> > out of unstable, and only done in experimental.  maybe this should be
> > a change to debian-policy?
> 
> Nah, dev. snapshots can be in testing/unstable.. but should never get
> into stable... unless, of course, through an additional package
> collection for it (backports), that does keep upgraded.

Right. I don't see any reason to categorically keep all development
snapshots out of unstable/testing.

"Development snapshot" can mean different things in the context of
different projects. Our actions should be shaped more by the nature of
individual projects and by the expressed desire of upstream developers
than by whether or not the version number contains a date.

In this case, I see absolutely no reason to keep ion3 out of unstable
and testing -- especially since Tuomo says he doesn't either.

Regards,
Mako

-- 
Benjamin Mako Hill
mako@debian.org
http://mako.cc/

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Philippe Cloutier <philippe.cloutier.2@ulaval.ca>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #225 received at 413469@bugs.debian.org (full text, mbox):

From: Philippe Cloutier <philippe.cloutier.2@ulaval.ca>
To: Steve Langasek <vorlon@debian.org>
Cc: 413469@bugs.debian.org
Subject: Re: Bug#413469: ion3: The package is outdated
Date: Fri, 16 Mar 2007 00:53:46 -0400
Steve Langasek a écrit :

>severity 413469 serious
>reopen 413469
>thanks
>
>[...]
>
>
>After discussing on IRC with Joey and other ion users, it seems that there
>isn't really much demand for ion3 in a stable release after all; those I've
>talked to who use ion3 all say they run testing or unstable on their
>desktops, and Joey notes that the ion3 upgrade path from sarge to etch isn't
>likely to be a smooth one anyway.
>
>So under the circumstances, it does seem reasonable to defer to upstream
>(and the former maintainer) on this point.  I've tagged the ion3 package and
>its reverse-dependencies for removal from etch.
>
>  
>
Steve, why did you reopen this bug? As I said in a previous message, 
this RFE is done and the request to remove ion3 should be made in a new 
report. This is particularly important since the report is now 
excessively long.
Unless you have a good reason, please close this report again and open a 
new one.

Thanks



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #230 received at 413469@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Philippe Cloutier <philippe.cloutier.2@ulaval.ca>, 413469@bugs.debian.org
Subject: Re: Bug#413469: ion3: The package is outdated
Date: Thu, 15 Mar 2007 23:16:59 -0700
On Fri, Mar 16, 2007 at 12:53:46AM -0400, Philippe Cloutier wrote:
> Steve, why did you reopen this bug?

Because the package is still unreleasable.

> As I said in a previous message, this RFE is done

What the heck is an 'RFE'?

> and the request to remove ion3 should be made in a new report. This is
> particularly important since the report is now excessively long.

Uh, no.  Who are you to decide that a bug is 'excessively long' and that a
new one should be opened?  Everything in this bug history is related to the
same bug -- that upstream considers it unacceptable to include a frozen
snapshot of ion3 in a stable release.

> Unless you have a good reason, please close this report again and open a 
> new one.

No, you don't get to demand that other people do extra work to satisfy some
arbitrary and non-consensual aesthetic that you have regarding bug logs.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Merged 413469 415287. Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. (Sat, 17 Mar 2007 22:51:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#413469; Package ion3. Full text and rfc822 format available.

Acknowledgement sent to Philippe Cloutier <philippe.cloutier.2@ulaval.ca>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #237 received at 413469@bugs.debian.org (full text, mbox):

From: Philippe Cloutier <philippe.cloutier.2@ulaval.ca>
To: Steve Langasek <vorlon@debian.org>, control@bugs.debian.org
Cc: 413469@bugs.debian.org
Subject: Re: Bug#413469: ion3: The package is outdated
Date: Sun, 18 Mar 2007 00:06:45 -0400
unmerge 413469 415287
#Reports about different issues
close 413469 20070203-1
severity 413469 wishlist
#Same as previously
thanks

Steve Langasek a écrit :

>On Fri, Mar 16, 2007 at 12:53:46AM -0400, Philippe Cloutier wrote:
>  
>
>>Steve, why did you reopen this bug?
>>    
>>
>
>Because the package is still unreleasable.
>  
>
This report is about ion3 being [previously] outdated.

>  
>
>>As I said in a previous message, this RFE is done
>>    
>>
>
>What the heck is an 'RFE'?
>  
>
Request For Enhancement - or wishlist "bug"

>  
>
>>and the request to remove ion3 should be made in a new report. This is
>>particularly important since the report is now excessively long.
>>    
>>
>
>Uh, no.  Who are you to decide that a bug is 'excessively long' and that a
>new one should be opened?  Everything in this bug history is related to the
>same bug -- that upstream considers it unacceptable to include a frozen
>snapshot of ion3 in a stable release.
>  
>
No, this is [at least principally] about ion3 being outdated.

>  
>
>>Unless you have a good reason, please close this report again and open a 
>>new one.
>>    
>>
>
>No, you don't get to demand that other people do extra work to satisfy some
>arbitrary and non-consensual aesthetic that you have regarding bug logs.
>  
>
I didn't demand that anyone do extra work. This is clearly not about 
aesthetics.

Anyway, since work seems to be an issue, I opened #415287 to track the 
other issue discussed in this report.



Bug marked as fixed in version 20070203-1, send any further explanations to tuomov <tuomov@iki.fi> Request was from Philippe Cloutier <philippe.cloutier.2@ulaval.ca> to control@bugs.debian.org. (Sun, 18 Mar 2007 04:09:33 GMT) Full text and rfc822 format available.

Severity set to `wishlist' from `serious' Request was from Philippe Cloutier <philippe.cloutier.2@ulaval.ca> to control@bugs.debian.org. (Sun, 18 Mar 2007 04:09:36 GMT) Full text and rfc822 format available.

Disconnected #413469 from all other report(s). Request was from Philippe Cloutier <philippe.cloutier.2@ulaval.ca> to control@bugs.debian.org. (Sun, 18 Mar 2007 04:18:02 GMT) Full text and rfc822 format available.

Forcibly Merged 413469 414175. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 25 Mar 2007 11:33:01 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to tuomov <tuomov@iki.fi>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #250 received at 413469-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 413469-close@bugs.debian.org
Subject: Bug#413469: fixed in ion3 20070318-1
Date: Sun, 25 Mar 2007 22:17:04 +0000
Source: ion3
Source-Version: 20070318-1

We believe that the bug you reported is fixed in the latest version of
ion3, which is due to be installed in the Debian FTP archive:

ion3-dev_20070318-1_all.deb
  to pool/main/i/ion3/ion3-dev_20070318-1_all.deb
ion3-doc_20070318-1_all.deb
  to pool/main/i/ion3/ion3-doc_20070318-1_all.deb
ion3_20070318-1.diff.gz
  to pool/main/i/ion3/ion3_20070318-1.diff.gz
ion3_20070318-1.dsc
  to pool/main/i/ion3/ion3_20070318-1.dsc
ion3_20070318-1_i386.deb
  to pool/main/i/ion3/ion3_20070318-1_i386.deb
ion3_20070318.orig.tar.gz
  to pool/main/i/ion3/ion3_20070318.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 413469@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated ion3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 25 Mar 2007 20:51:55 +0100
Source: ion3
Binary: ion3-doc ion3-dev ion3
Architecture: source all i386
Version: 20070318-1
Distribution: unstable
Urgency: low
Maintainer: Ben Hutchings <ben@decadent.org.uk>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Description: 
 ion3       - keyboard-friendly window manager with tiled windows (devel)
 ion3-dev   - ion3 development files
 ion3-doc   - ion3 documentation
Closes: 413469 414378
Changes: 
 ion3 (20070318-1) unstable; urgency=low
 .
   * New maintainer - closes: #414378
   * New upstream release - closes: #413469
   * Reverted upstream changes to full-screen behaviour which break dock
     sizing
   * Updated FAQ
   * Added docker and ion3-scripts to suggested packages
Files: 
 a57cb3ae0d653104d1520d969fdcd975 715 x11 extra ion3_20070318-1.dsc
 d52ab47e27028b97098646c99610c2e3 1343789 x11 extra ion3_20070318.orig.tar.gz
 0cdeb7cb7809313c13dcd9cf5df0efd9 32122 x11 extra ion3_20070318-1.diff.gz
 af12b7aec6bab56ffaaf6763444967c9 68418 devel extra ion3-dev_20070318-1_all.deb
 eaa49a3ba44b5f5725a85214729eaa43 127432 doc extra ion3-doc_20070318-1_all.deb
 2884dcb1d4f5404946d1f59da14a12ac 1632504 x11 extra ion3_20070318-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGBvIY79ZNCRIGYgcRAsCNAKCS7YFEB76QBZl7gf1oNotjf0LGsACfch8c
TkoEhZ6bivb7Yav1cS6UR9U=
=+tyq
-----END PGP SIGNATURE-----




Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to tuomov <tuomov@iki.fi>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 10:02:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:44:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.